%define module_name MarpaX-ESLIF
# BEGIN SourceDeps(oneline):
BuildRequires: lua5.3 bzlib-devel gcc-c++ java-devel-default libedit-devel libicu-devel libreadline-devel libsowing-devel perl(Archive/Tar.pm) perl(Capture/Tiny.pm) perl(Carp.pm) perl(Config.pm) perl(Config/AutoConf.pm) perl(Config/AutoConf/INI.pm) perl(Data/Dumper.pm) perl(Devel/GlobalDestruction.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/Constant.pm) perl(ExtUtils/MakeMaker.pm) perl(Fatal.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Copy/Recursive.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(File/chdir.pm) perl(IO/Handle.pm) perl(IPC/Cmd.pm) perl(IPC/Open3.pm) perl(IPC/Run.pm) perl(JSON/MaybeXS.pm) perl(Log/Any.pm) perl(Log/Any/Adapter.pm)
BuildRequires: perl(Log/Any/Adapter/Log4perl.pm) perl(Log/Any/Adapter/Util.pm) perl(Log/Log4perl.pm) perl(Marpa/PP.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm) perl(Module/Build.pm) perl(Module/Load.pm) perl(POSIX.pm) perl(PPI.pm) perl(Perl/OSType.pm) perl(Regexp/Common.pm) perl(Safe/Isa.pm) perl(Test/Deep.pm) perl(Test/Deep/NoTest.pm) perl(Test/More.pm) perl(Test/More/UTF8.pm) perl(Try/Tiny.pm) perl(XSLoader.pm) perl(autodie.pm) perl(charnames.pm) perl(constant.pm) perl(diagnostics.pm) perl(namespace/clean.pm) perl(open.pm) perl(overload.pm) perl(parent.pm) perl(strict.pm) perl(threads.pm) perl(threads/shared.pm) perl(utf8.pm) perl(vars.pm) perl(warnings.pm) pkgconfig(lua) rpm-build-java valgrind-devel zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 5.0.7
Release: alt2
Summary: ESLIF is Extended ScanLess InterFace
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/MarpaX-ESLIF

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JD/JDDPAUSE/%{module_name}-%{version}.tar.gz

%description
ESLIF is derived from perl's the Marpa::R2 manpage, and has its own BNF, documented in the MarpaX::ESLIF::BNF manpage.

The main features of this BNF are:

=over

=item Sub-grammars

The number of sub grammars is unlimited.

=item Regular expressions

Native support of regular expression using the PCRE2 library (i.e. this is <not> exactly perl regexps, although very closed).

=item Streaming

Native support of streaming input.

=back

Beginners might want to look at the MarpaX::ESLIF::Introduction manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes examples
%perl_vendor_archlib/M*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 5.0.7-alt2
- rebuild with perl 5.38

* Tue Oct 26 2021 Igor Vlasenko <viy@altlinux.ru> 5.0.7-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 4.0.1-alt2
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 4.0.1-alt1
- updated by package builder

* Mon Oct 14 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.19-alt1
- updated by package builder

* Thu Aug 29 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.18-alt1
- updated by package builder

* Fri Aug 09 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.17-alt1
- updated by package builder

* Mon Aug 05 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.16-alt1
- updated by package builder

* Sun Aug 04 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.15-alt1
- updated by package builder

* Tue Jul 23 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.14-alt1
- updated by package builder

* Mon Jul 22 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.13-alt1
- updated by package builder

* Fri Jun 14 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.12-alt1
- updated by package builder

* Wed Jun 12 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.11-alt1
- updated by package builder

* Mon May 13 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.10-alt1
- updated by package builder

* Fri Apr 19 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.9-alt1
- updated by package builder

* Mon Apr 15 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.8-alt1
- updated by package builder

* Sun Apr 14 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.7-alt1
- updated by package builder

* Fri Apr 12 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.6-alt1
- updated by package builder

* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.4-alt1
- updated by package builder

* Mon Apr 08 2019 Igor Vlasenko <viy@altlinux.ru> 3.0.3-alt1
- updated by package builder

* Mon Feb 25 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.43-alt1
- initial import by package builder

